Bug 28716 - Hide toolbar and opaccredits when printing lists
Summary: Hide toolbar and opaccredits when printing lists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-15 12:04 UTC by John Yorio
Modified: 2021-12-06 11:39 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This removes the toolbar (Advanced Search | Authority Search | etc) and opaccredits (where set) from printed lists. The printed lists are cleaner without these.
Version(s) released in:
22.05.00


Attachments
Bug 28716: hide moresearches & opacredits from print (1.13 KB, patch)
2021-07-15 16:58 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28716: hide moresearches and opaccredits from print (1.19 KB, patch)
2021-11-16 07:58 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 28716: hide moresearches and opaccredits from print (1.25 KB, patch)
2021-11-18 14:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description John Yorio 2021-07-15 12:04:54 UTC
In 20.05 and 20.11, printing a list includes the toolbar (Advanced Search | Authority Search | etc)

For libraries that have set opaccredits, it includes that as well.

Previous versions (19.11 for example) printed a cleaner looking list without these.
Comment 1 Lucas Gass 2021-07-15 16:58:20 UTC
Created attachment 122862 [details] [review]
Bug 28716: hide moresearches & opacredits from print

To test:
1. Make some lists and look at them in the OPAC
2. Have some content in your OPACCredits news section
3. Look at some lists and try clicking 'Print list'
4. You will see the moresearches (top navigation) and opaccredits content
5. apply patch and regenearte the CSS
6. Do 3 again, you should not see the contents of moresearches (top navigation) and opaccredits content
Comment 2 Fridolin Somers 2021-11-16 07:58:35 UTC
Created attachment 127681 [details] [review]
Bug 28716: hide moresearches and opaccredits from print

To test:
1. Make some lists and look at them in the OPAC
2. Have some content in your OPACCredits news section
3. Look at some lists and try clicking 'Print list'
4. You will see the moresearches (top navigation) and opaccredits content
5. apply patch and regenearte the CSS
6. Do 3 again, you should not see the contents of moresearches (top navigation) and opaccredits content

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Comment 3 Fridolin Somers 2021-11-16 08:01:33 UTC
I changed commit message : 
& => and (I bet it can break HTML somewhere)
opacredits => opaccredits

Sounds more a minor bug than enhancement to me.
Comment 4 Katrin Fischer 2021-11-18 14:01:48 UTC
Created attachment 127801 [details] [review]
Bug 28716: hide moresearches and opaccredits from print

To test:
1. Make some lists and look at them in the OPAC
2. Have some content in your OPACCredits news section
3. Look at some lists and try clicking 'Print list'
4. You will see the moresearches (top navigation) and opaccredits content
5. apply patch and regenearte the CSS
6. Do 3 again, you should not see the contents of moresearches (top navigation) and opaccredits content

Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Fridolin Somers 2021-12-02 06:39:06 UTC
Pushed to master for 22.05, thanks to everybody involved!